Package com.enonic.xp.session

## Class SimpleSession

- java.lang.Object
- - com.enonic.xp.session.SimpleSession

- All Implemented Interfaces:
    `MutableAttributes`, `ScopeAttributes`, `Session`

      @Deprecated
      public final class SimpleSession
      extends Object
      implements Session

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleSession​(SessionKey key)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `getAttribute​(Class<T> type)` | Deprecated.
    `Object` | `getAttribute​(String key)` | Deprecated.
    `Map<String,​Object>` | `getAttributes()` | Deprecated.
    `SessionKey` | `getKey()` | Deprecated.
    `void` | `invalidate()` | Deprecated.
    `<T> void` | `removeAttribute​(Class<T> type)` | Deprecated.
    `void` | `removeAttribute​(String key)` | Deprecated.
    `void` | `setAttribute​(String key, Object value)` | Deprecated.
    `<T> void` | `setAttribute​(T value)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSession

          public SimpleSession​(SessionKey key)

      Deprecated.

  - ### Method Detail

    - #### getKey

          public SessionKey getKey()

      Deprecated.
      Specified by:
        `getKey` in interface `Session`

    - #### getAttribute

          public Object getAttribute​(String key)

      Deprecated.
      Specified by:
        `getAttribute` in interface `ScopeAttributes`

    - #### getAttribute

          public <T> T getAttribute​(Class<T> type)

      Deprecated.
      Specified by:
        `getAttribute` in interface `ScopeAttributes`

    - #### setAttribute

          public void setAttribute​(String key,
                                   Object value)

      Deprecated.
      Specified by:
        `setAttribute` in interface `MutableAttributes`

    - #### setAttribute

          public <T> void setAttribute​(T value)

      Deprecated.
      Specified by:
        `setAttribute` in interface `MutableAttributes`

    - #### getAttributes

          public Map<String,​Object> getAttributes()

      Deprecated.
      Specified by:
        `getAttributes` in interface `ScopeAttributes`

    - #### removeAttribute

          public void removeAttribute​(String key)

      Deprecated.
      Specified by:
        `removeAttribute` in interface `MutableAttributes`

    - #### removeAttribute

          public <T> void removeAttribute​(Class<T> type)

      Deprecated.
      Specified by:
        `removeAttribute` in interface `MutableAttributes`

    - #### invalidate

          public void invalidate()

      Deprecated.
      Specified by:
        `invalidate` in interface `Session`